6.0.0-git
2019-04-21

[#6247] Separate limits for linked attachments
Summary Separate limits for linked attachments
Queue IMP
Queue Version Git master
Type Enhancement
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester jan (at) horde (dot) org
Created 2008-02-12 (4086 days ago)
Due
Updated 2012-08-29 (2426 days ago)
Assigned
Resolved 2011-12-06 (2693 days ago)
Milestone
Patch No

History
2012-08-29 12:26:19 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (master):

commit f28826dc1c41aa7ccf696d061c2de83493b8b377
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Dec 5 21:29:53 2011 -0700

     [mms] Added config option to limit size of linked messages 
(Request #6247).

  imp/config/conf.xml |    3 +++
  imp/docs/CHANGES    |    2 ++
  imp/docs/UPGRADING  |    2 ++
  imp/lib/Compose.php |   13 ++++++++++---
  imp/package.xml     |    1 +
  5 files changed, 18 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/f28826dc1c41aa7ccf696d061c2de83493b8b377
2011-12-06 05:47:18 Michael Slusarz Comment #4
Taken from Horde DevelopersHorde Developers
Taken from Jan Schneider
State ⇒ Resolved
Reply to this comment
Added to IMP 5.1.

commit f28826dc1c41aa7ccf696d061c2de83493b8b377
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Dec 5 21:29:53 2011 -0700

     [mms] Added config option to limit size of linked messages 
(Request #6247).

  imp/config/conf.xml |    3 +++
  imp/docs/CHANGES    |    2 ++
  imp/docs/UPGRADING  |    2 ++
  imp/lib/Compose.php |   13 ++++++++++---
  imp/package.xml     |    1 +
  5 files changed, 18 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/f28826dc1c41aa7ccf696d061c2de83493b8b377
2011-01-22 17:14:21 Jan Schneider State ⇒ Accepted
 
2010-08-10 23:15:59 Jan Schneider Comment #3 Reply to this comment
The reason should be obvious, linked attachments use resources on the 
server storage, embeded attachments on the network. These are two 
completely different use case that you might want to handle with 
different limits. I see the issue with having to check during sending 
instead of uploading though.
2010-08-10 22:16:43 Michael Slusarz Comment #2
Assigned to Jan Schneider
Assigned to Michael Slusarz
Assigned to Horde DevelopersHorde Developers
State ⇒ Feedback
Version ⇒ Git master
Reply to this comment
Any reason why this should be any different than what we already have 
for attach_size_limit/attach_count_limit?

Obviously, an admin somewhere could conceivably want to tweak this 
value.  However, it adds yet another 1 (or 2, if you wanted to 
configure max linked attachments count also) config option that is 
mostly duplicative of current config options, and there is no 
practical way of checking for this in certain circumstances until send 
time, so error reporting can be troublesome.
2008-02-12 00:40:59 Jan Schneider Comment #1
Type ⇒ Enhancement
State ⇒ Accepted
Priority ⇒ 1. Low
Summary ⇒ Separate limits for linked attachments
Queue ⇒ IMP
Reply to this comment
Add a separate configuration option for maximum attachment sizes when 
using linked attachments.

Saved Queries